> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /yc/search/companies

> Search YC companies with filters

**Price:** 1 credit



## OpenAPI

````yaml /openapi/company-startup-intel.json post /api/yc/search/companies
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/yc/search/companies:
    post:
      tags:
        - Y Combinator
      summary: /yc/search/companies
      description: |-
        Search YC companies with filters

        **Price:** 1 credit
      operationId: __api_yc_search_companies_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/YCCompaniesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/YCCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    YCCompaniesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          type: string
          default: ''
        industries:
          anyOf:
            - items:
                type: string
              type: array
              uniqueItems: true
            - type: 'null'
        regions:
          anyOf:
            - items:
                type: string
              type: array
              uniqueItems: true
            - type: 'null'
        batches:
          anyOf:
            - items:
                type: string
              type: array
              uniqueItems: true
            - type: 'null'
        is_hiring:
          anyOf:
            - type: boolean
            - type: 'null'
        nonprofit:
          anyOf:
            - type: boolean
            - type: 'null'
        top_company:
          anyOf:
            - type: boolean
            - type: 'null'
        team_size_min:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        team_size_max:
          anyOf:
            - type: integer
              maximum: 10000
            - type: 'null'
        count:
          type: integer
          exclusiveMinimum: 0
        sort_by:
          type: string
          enum:
            - relevance
            - launch_date
          default: relevance
      type: object
      required:
        - count
    YCCompany:
      properties:
        '@type':
          type: string
          default: YCCompany
        id:
          type: integer
        name:
          type: string
        slug:
          type: string
        website:
          anyOf:
            - type: string
            - type: 'null'
        one_liner:
          anyOf:
            - type: string
            - type: 'null'
        long_description:
          anyOf:
            - type: string
            - type: 'null'
        team_size:
          anyOf:
            - type: integer
            - type: 'null'
        industry:
          anyOf:
            - type: string
            - type: 'null'
        subindustry:
          anyOf:
            - type: string
            - type: 'null'
        industries:
          items:
            type: string
          type: array
          default: []
        regions:
          items:
            type: string
          type: array
          default: []
        batch:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        stage:
          anyOf:
            - type: string
            - type: 'null'
        tags:
          items:
            type: string
          type: array
          default: []
        is_hiring:
          anyOf:
            - type: boolean
            - type: 'null'
        nonprofit:
          anyOf:
            - type: boolean
            - type: 'null'
        top_company:
          anyOf:
            - type: boolean
            - type: 'null'
        launched_at:
          anyOf:
            - type: integer
            - type: 'null'
        all_locations:
          anyOf:
            - type: string
            - type: 'null'
        small_logo_thumb_url:
          anyOf:
            - type: string
            - type: 'null'
        former_names:
          items:
            type: string
          type: array
          default: []
        app_video_public:
          anyOf:
            - type: boolean
            - type: 'null'
        demo_day_video_public:
          anyOf:
            - type: boolean
            - type: 'null'
        app_answers:
          anyOf:
            - type: boolean
            - type: 'null'
        question_answers:
          anyOf:
            - type: boolean
            - type: 'null'
        founders:
          items:
            $ref: '#/components/schemas/YCFounder'
          type: array
          default: []
        jobs:
          items:
            $ref: '#/components/schemas/YCJob'
          type: array
          default: []
        social_links:
          anyOf:
            - $ref: '#/components/schemas/YCSocialLinks'
            - type: 'null'
        year_founded:
          anyOf:
            - type: integer
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
        news_items:
          items:
            $ref: '#/components/schemas/YCNewsItem'
          type: array
          default: []
        launches:
          items:
            $ref: '#/components/schemas/YCLaunch'
          type: array
          default: []
        company_photos:
          items:
            $ref: '#/components/schemas/YCPhoto'
          type: array
          default: []
        primary_partner:
          anyOf:
            - $ref: '#/components/schemas/YCPartner'
            - type: 'null'
      type: object
      required:
        - id
        - name
        - slug
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    YCFounder:
      properties:
        '@type':
          type: string
          default: YCFounder
        name:
          type: string
        bio:
          anyOf:
            - type: string
            - type: 'null'
        linkedin_url:
          anyOf:
            - type: string
            - type: 'null'
        twitter_url:
          anyOf:
            - type: string
            - type: 'null'
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    YCJob:
      properties:
        '@type':
          type: string
          default: YCJob
        location:
          anyOf:
            - type: string
            - type: 'null'
        salary_range:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - title
    YCSocialLinks:
      properties:
        '@type':
          type: string
          default: YCSocialLinks
        linkedin:
          anyOf:
            - type: string
            - type: 'null'
        twitter:
          anyOf:
            - type: string
            - type: 'null'
        facebook:
          anyOf:
            - type: string
            - type: 'null'
        crunchbase:
          anyOf:
            - type: string
            - type: 'null'
        github:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    YCNewsItem:
      properties:
        '@type':
          type: string
          default: YCNewsItem
        url:
          type: string
        date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - title
        - url
    YCLaunch:
      properties:
        '@type':
          type: string
          default: YCLaunch
        url:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - title
    YCPhoto:
      properties:
        '@type':
          type: string
          default: YCPhoto
        url:
          type: string
        photo_type:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - url
    YCPartner:
      properties:
        '@type':
          type: string
          default: YCPartner
        name:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````